bitel.billing.server.script.global.bean

## Class GlobalScriptManager

- java.lang.Object
- - bitel.billing.server.script.global.bean.GlobalScriptManager

-     public class GlobalScriptManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `tableName`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GlobalScriptManager(ConnectionSet connectionSet)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `deleteScript(int id)` Удаляет глобальный скрипт по ее коду.
    `java.lang.Object` | `executeGlobalScript(int scriptId)` Выполняет глобальный скрипт.
    `Revision` | `getRevisionProperties(int id)` Возвращает реквизиты последнего редактирования глобального скрипта по его коду.
    `GlobalScript` | `getScriptById(int id)` Возвращает глобальный скрипт по его коду.
    `GlobalScript` | `getScriptByID(int id)` Deprecated.
    `java.util.List<GlobalScript>` | `getScripts()` Возвращает список глобальных скриптов поведения.
    `void` | `updateScript(java.lang.String id, GlobalScript gs)` Обновляет глобальный скрипт.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### tableName

          protected java.lang.String tableName

  - ### Constructor Detail

    - #### GlobalScriptManager

          public GlobalScriptManager(ConnectionSet connectionSet)

  - ### Method Detail

    - #### executeGlobalScript

          public java.lang.Object executeGlobalScript(int scriptId)

      Выполняет глобальный скрипт.
      Parameters:
        `scriptId` - код скрипта.
      Returns:
        результат (возможно, строка).

    - #### getScripts

          public java.util.List<GlobalScript> getScripts()

      Возвращает список глобальных скриптов поведения.
      Returns:
        список глобальных скриптов поведения.

    - #### getScriptById

          public GlobalScript getScriptById(int id)

      Возвращает глобальный скрипт по его коду.
      Parameters:
        `id` - код глобального скрипта.
      Returns:
        глобальный скрипт.

    - #### getScriptByID

          @Deprecated
          public GlobalScript getScriptByID(int id)

      Deprecated.
      Использовать `getScriptById(int)`.
      Parameters:
        `id` -
      Returns:

    - #### updateScript

          public void updateScript(java.lang.String id,
                                   GlobalScript gs)

      Обновляет глобальный скрипт.
      Parameters:
        `id` - код глобального скрипта, "new" если новый.
        `gs` - скрипт.

    - #### deleteScript

          public void deleteScript(int id)

      Удаляет глобальный скрипт по ее коду.
      Parameters:
        `id` - код глобального скрипта.

    - #### getRevisionProperties

          public Revision getRevisionProperties(int id)

      Возвращает реквизиты последнего редактирования глобального скрипта по его коду.
      Parameters:
        `id` - код глобального скрипта.
      Returns:
        параметры ревизии.